/*********************************************************
 *********************************************************/

import java.awt.*;
import java.applet.*;
import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import java.sql.*;
import netscape.security.PrivilegeManager;

/**
 * An interactive test of the Graphics.drawArc and Graphics.fillArc
 * routines. Can be run either as a standalone application by
 * typing "java ArcTest" or as an applet in the AppletViewer.
 */

public class ArcTest extends Applet {

	ArcControls controls;

	boolean debugApplet = false;

	public void printLine(String printData) {
		if ( debugApplet ) {
			System.out.println(printData);
		}
	}

	public void init() {

		initThis();

	}

	public void initThis() {

		setLayout(new BorderLayout());
		ArcCanvas c = new ArcCanvas();
		add("Center", c);
		add("South", controls = new ArcControls(c, this));

		controls.enable();

		printLine("<ArcTest> initThis()");
	}

	public void initApplet() {
	}

	public void dbaccess() {
		try {
		  PrivilegeManager.enablePrivilege("UniversalConnect");
		  PrivilegeManager.enablePrivilege("UniversalListen");
		  PrivilegeManager.enablePrivilege("UniversalAccept");
			System.out.println("<ArcTest> db access2");
			String query = null;
			Class.forName("COM.imaginary.sql.msql.MsqlDriver");
			//DriverManager.registerDriver(DriverManager.getDriver("jdbc:msql://r.edu/tango101dev/applets/kimd/6/msql"));
			String url = "jdbc:msql://ecorvette.ecs.syr.edu:4333/VDCE";
			Connection con = DriverManager.getConnection(url, "kimd", "");
			Statement sqlstmt = con.createStatement();
			query = "insert into UserInfo values('test', 'test', 'test', 'test', '5')";
			sqlstmt.executeUpdate(query);

			query = "Select Name, ID from UserInfo";
			ResultSet rs = sqlstmt.executeQuery(query);
			String userName = null;
			String userID = null;
			System.out.println("<ArcTest> db access result");
			while (rs.next()) {
				userName = rs.getString(1);
				userID   = rs.getString(2);
				System.out.println("<ArcTest> User Name : " + userName
						+ "     User ID " + userID);
			}
			rs.close();

			query = "delete from UserInfo where Name='test'";
			sqlstmt.executeUpdate(query);

			sqlstmt.close();
			con.close();
		}
		catch (Exception e) {
			System.out.println(e.getMessage());
			e.printStackTrace();
		}
	}

	public static void main(String args[]) {
		Frame f = new Frame("ArcTest");
		ArcTest arcTest = new ArcTest();

		arcTest.initThis();

		f.add("Center", arcTest);
		f.setSize(400, 440);
		f.show();
	}
}

class ArcCanvas extends Canvas {
	int		startAngle = 0;
	int		endAngle = 45;
	boolean	filled = false;
	Font	font;

	public void paint(Graphics g) {
		Rectangle r = bounds();
		int hlines = r.height / 10;
		int vlines = r.width / 10;

		g.setColor(Color.pink);
		for (int i = 1; i <= hlines; i++) {
			g.drawLine(0, i * 10, r.width, i * 10);
		}
		for (int i = 1; i <= vlines; i++) {
			g.drawLine(i * 10, 0, i * 10, r.height);
		}

		g.setColor(Color.red);
		if (filled) {
			g.fillArc(0, 0, r.width - 1, r.height - 1, startAngle, endAngle);
		}
		else {
			g.drawArc(0, 0, r.width - 1, r.height - 1, startAngle, endAngle);
		}

		g.setColor(Color.black);
		g.setFont(font);
		g.drawLine(0, r.height / 2, r.width, r.height / 2);
		g.drawLine(r.width / 2, 0, r.width / 2, r.height);
		g.drawLine(0, 0, r.width, r.height);
		g.drawLine(r.width, 0, 0, r.height);
		int sx = 10;
		int sy = r.height - 28;
		g.drawString("S = " + startAngle, sx, sy); 
		g.drawString("E = " + endAngle, sx, sy + 14); 
	}

	public void redraw(boolean filled, int start, int end) {
		this.filled = filled;
		this.startAngle = start;
		this.endAngle = end;
		repaint();
	}
}

class ArcControls extends Panel {
	TextField s;
	TextField e;
	ArcCanvas canvas;
	ArcTest test;

	public ArcControls(ArcCanvas canvas, ArcTest test) {
		this.canvas = canvas;
		this.test = test;
		add(s = new TextField("0", 4));
		add(e = new TextField("45", 4));
		add(new Button("Fill"));
		add(new Button("Draw"));
	}

	public boolean action(Event ev, Object arg) {

		String send_data = null;
		int button_action;
		int int_start;
		int int_end;
		boolean filled;

		if (ev.target instanceof Button) {
			String label = (String)arg;

			filled = label.equals("Fill");

			int_start = Integer.parseInt(s.getText().trim());
			int_end   = Integer.parseInt(e.getText().trim());

			// make one string data to be sent,
			// convert to byte, and send it
			canvas.redraw(filled, int_start, int_end);

			test.dbaccess();
			return true;
		}

		return false;
	}
}
	
